<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: Package Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all namespace members with links to the namespace documentation for each member:</div>

<h3><a id="index_c"></a>- c -</h3><ul>
<li>changeFloating()
: <a class="el" href="namespacecomparison__urdf__os.html#adb19b070ccbcdbac32821eed4b799e0a">comparison_urdf_os</a>
</li>
<li>checkFreeFlyer()
: <a class="el" href="namespacecomparison__urdf__os.html#a27143b1d13408f811c192906d620bd4c">comparison_urdf_os</a>
</li>
<li>correc_stl_dic
: <a class="el" href="namespaceosim2urdf__parser.html#a02e8f4b0e11846d789ef52456f89e4af">osim2urdf_parser</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>D_parts_urdf
: <a class="el" href="namespacecomparison__urdf__os.html#a949882fb90c3cc32bf3838b0c622a6c5">comparison_urdf_os</a>
</li>
<li>displayModel()
: <a class="el" href="namespacepyopsim.html#a3b688c6537afed2259feb618a81d229d">pyopsim</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>exactly_collision
: <a class="el" href="namespaceosim2urdf__parser.html#a985b7dbc4e56a68aee3e904a61c2371b">osim2urdf_parser</a>
</li>
<li>exactly_visual
: <a class="el" href="namespaceosim2urdf__parser.html#ab77d3043b16b1f346c6f99a984c92409">osim2urdf_parser</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>filename
: <a class="el" href="namespaceosim2urdf__parser.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">osim2urdf_parser</a>
</li>
<li>findGroundJointId()
: <a class="el" href="namespacecomparison__urdf__os.html#ac1f7b00e26771a2785bdceb0a6324b70">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>geometry_path
: <a class="el" href="namespacecomparison__urdf__os.html#a9943cdc47fcab4aaa9250f232906cba0">comparison_urdf_os</a>
, <a class="el" href="namespacepyopsim.html#a9943cdc47fcab4aaa9250f232906cba0">pyopsim</a>
</li>
<li>getBodiesPositions()
: <a class="el" href="namespacepyopsim.html#ae1bf5b9a13280b375b750838a44d113a">pyopsim</a>
</li>
<li>getCorresJointsCoord()
: <a class="el" href="namespacepyopsim.html#ac518ca564768586929eeefc959f589ed">pyopsim</a>
</li>
<li>getCorresQCoord()
: <a class="el" href="namespacepyopsim.html#adf912f284fdaba1643ecb7218e4d9ad6">pyopsim</a>
</li>
<li>getDoc()
: <a class="el" href="namespacecomparison__urdf__os.html#a3dde7ba20811344488a178ff8050c1ba">comparison_urdf_os</a>
</li>
<li>getGroundProperties()
: <a class="el" href="namespacepyopsim.html#a19739b02bfbcb33f005471da9b34ff27">pyopsim</a>
</li>
<li>getJacobian()
: <a class="el" href="namespacepyopsim.html#ad671c4425a42e12ad62cfe266ff4054f">pyopsim</a>
</li>
<li>getJointAxis()
: <a class="el" href="namespacecomparison__urdf__os.html#a03c7927b85544e8972f2cacac7064166">comparison_urdf_os</a>
</li>
<li>getJointsLimits()
: <a class="el" href="namespacepyopsim.html#a781202b3a15e20094bd423aab07bc5ff">pyopsim</a>
</li>
<li>getJointsPositions()
: <a class="el" href="namespacepyopsim.html#a36c2991f7c44a8dfc3abfffb13608103">pyopsim</a>
</li>
<li>getJointsValues()
: <a class="el" href="namespacepyopsim.html#a62fd65dbc9b4909b732e279a14019cff">pyopsim</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>ik_path
: <a class="el" href="namespacecomparison__urdf__os.html#aaf06840bb7321db3b08b1b60a3792784">comparison_urdf_os</a>
, <a class="el" href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">pyopsim</a>
</li>
<li>ikFromFile()
: <a class="el" href="namespacepyopsim.html#a8edc5175d0375abd6c5914041be7296f">pyopsim</a>
</li>
<li>IKOsimFKURDF()
: <a class="el" href="namespacecomparison__urdf__os.html#a07768d89882fa140b1bdad1eb849127b">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>k
: <a class="el" href="namespacecomparison__urdf__os.html#adc468c70fb574ebd07287b38d0d0676d">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>max_err
: <a class="el" href="namespacecomparison__urdf__os.html#abcee81bb965d20f90e0976ea8eb7eb8f">comparison_urdf_os</a>
</li>
<li>max_err_dyn
: <a class="el" href="namespacecomparison__urdf__os.html#a49519129ebf99a99f0bcf1d4a38db34e">comparison_urdf_os</a>
</li>
<li>Mnumpy()
: <a class="el" href="namespacepyopsim.html#a13a8c39c19abf139d7fb2809ec1c918b">pyopsim</a>
</li>
<li>moveListJoint()
: <a class="el" href="namespacecomparison__urdf__os.html#a7a8ce66dc0769142127481c123498fc9">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>ntry
: <a class="el" href="namespacecomparison__urdf__os.html#a5cd81f15cdc9a8c2df4c5299727855ca">comparison_urdf_os</a>
</li>
<li>numpy()
: <a class="el" href="namespacepyopsim.html#adcb104ece4103021eeee35c2fdcb0519">pyopsim</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>o2u
: <a class="el" href="namespaceosim2urdf__parser.html#a7158fb745d46e2beedea849918833689">osim2urdf_parser</a>
</li>
<li>os2pi_Dpos()
: <a class="el" href="namespacecomparison__urdf__os.html#aa10c1d4f7042fcd04d540de19d905ca8">comparison_urdf_os</a>
</li>
<li>OS_model
: <a class="el" href="namespacecomparison__urdf__os.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">comparison_urdf_os</a>
, <a class="el" href="namespacepyopsim.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">pyopsim</a>
</li>
<li>osim_filename
: <a class="el" href="namespacecomparison__urdf__os.html#a6b6825c194e9b3e049311a24acd2f504">comparison_urdf_os</a>
</li>
<li>osim_path
: <a class="el" href="namespaceosim2urdf__parser.html#a556bc2189083b93f7852f14b81846c90">osim2urdf_parser</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>printBodiesPositions()
: <a class="el" href="namespacepyopsim.html#a765b3a1f1210d41e30d854a505ec0c31">pyopsim</a>
</li>
<li>printConfig()
: <a class="el" href="namespacecomparison__urdf__os.html#a074c54c360c8d40025faf1d3239302f9">comparison_urdf_os</a>
</li>
<li>printCorresQCoord()
: <a class="el" href="namespacepyopsim.html#a96871d8131d523291742f6d1cdd55a19">pyopsim</a>
</li>
<li>printFramesNumber()
: <a class="el" href="namespacepyopsim.html#a71baed3b35c1b98f13233035b71cca81">pyopsim</a>
</li>
<li>printJointsDivisionsIntoOneDOF()
: <a class="el" href="namespacepyopsim.html#a20d69b37a701e90e96604bd2722ddf0c">pyopsim</a>
</li>
<li>printJointsLimits()
: <a class="el" href="namespacepyopsim.html#a07614de5abc15e2bdac9c921ccb8e0de">pyopsim</a>
</li>
<li>printJointsPositions()
: <a class="el" href="namespacepyopsim.html#ae5cf2ae7d7023c63e37c623d65abf464">pyopsim</a>
</li>
<li>printJointsPositionsAllFrames()
: <a class="el" href="namespacepyopsim.html#a655035cd5c9e234cf9cd04623599ef74">pyopsim</a>
</li>
<li>printJointsValues()
: <a class="el" href="namespacepyopsim.html#a1f60cf1e5cdf3037f08680398095fad0">pyopsim</a>
</li>
<li>printQ()
: <a class="el" href="namespacecomparison__urdf__os.html#ad68cc63455c3b9c6b55969e0b0225db0">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>QOsimToQURDF()
: <a class="el" href="namespacecomparison__urdf__os.html#a308c6279e11c25330b57c609535c9b42">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>readJoint()
: <a class="el" href="namespaceosim2urdf__parser.html#a27d2053729ad17e5d5c5dd3aa4ae74a4">osim2urdf_parser</a>
</li>
<li>readJointSet()
: <a class="el" href="namespaceosim2urdf__parser.html#a80361136bd7e3bc9e7ece1768118a430">osim2urdf_parser</a>
</li>
<li>readOsim()
: <a class="el" href="namespaceosim2urdf__parser.html#a49fac8e7a12c5b6df7b7ab737e06cf4e">osim2urdf_parser</a>
</li>
<li>readOsim30()
: <a class="el" href="namespaceosim2urdf__parser.html#a11cecbea7159fc52d0581507d386b705">osim2urdf_parser</a>
</li>
<li>readOsim40()
: <a class="el" href="namespaceosim2urdf__parser.html#ad1c7b3a585da1da7552f82ba917b2462">osim2urdf_parser</a>
</li>
<li>readVisuals40()
: <a class="el" href="namespaceosim2urdf__parser.html#aeea41d0e48e9cd3fdc78c3e05b200ab5">osim2urdf_parser</a>
</li>
<li>readVisualsName40()
: <a class="el" href="namespaceosim2urdf__parser.html#a26ad97fd20c03ddf7aae5cb9f17a385a">osim2urdf_parser</a>
</li>
<li>ros_package_path
: <a class="el" href="namespaceosim2urdf__parser.html#a8161856d320b780394891de051cc0133">osim2urdf_parser</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>scaled_MM_Moved_path
: <a class="el" href="namespacepyopsim.html#ac04608373464fc669028ef23af4033b4">pyopsim</a>
</li>
<li>setQ()
: <a class="el" href="namespacepyopsim.html#ae8e8c8724f4e839adb273d666d8662d5">pyopsim</a>
</li>
<li>setToNeutral()
: <a class="el" href="namespacepyopsim.html#ab6cdbbf0685f01c5f2ac1fa5764f2bee">pyopsim</a>
</li>
<li>setup_ik_file
: <a class="el" href="namespacecomparison__urdf__os.html#a71b8e400cb53841923f199a292963b80">comparison_urdf_os</a>
</li>
<li>setup_ik_path
: <a class="el" href="namespacepyopsim.html#aa0012dbb9400ca356bc79721469efbda">pyopsim</a>
</li>
<li>staticDifference()
: <a class="el" href="namespacecomparison__urdf__os.html#ae2427756087534625712fa6212047fe9">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>testDynamicModel()
: <a class="el" href="namespacecomparison__urdf__os.html#a5ff225d9876dccb5b1767ebf800bbb58">comparison_urdf_os</a>
</li>
<li>trc_path
: <a class="el" href="namespacecomparison__urdf__os.html#a51789b56e7ee8adcfa2d6d201380191a">comparison_urdf_os</a>
, <a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">pyopsim</a>
</li>
<li>tryForwardTool()
: <a class="el" href="namespacepyopsim.html#af730c8bf40d50c30cab68925e4f47745">pyopsim</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>urdf_data
: <a class="el" href="namespacecomparison__urdf__os.html#a442eba16923825e1fef6f9b6135cc0b5">comparison_urdf_os</a>
</li>
<li>urdf_filename
: <a class="el" href="namespacecomparison__urdf__os.html#a70071ca4064db762f822331f4ace366c">comparison_urdf_os</a>
</li>
<li>urdf_model
: <a class="el" href="namespacecomparison__urdf__os.html#aa61b9ef8f0749b6627e481cc5b62ed57">comparison_urdf_os</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>Vnumpy()
: <a class="el" href="namespacepyopsim.html#a1def59d3bcac2a60e67cd98858085dbc">pyopsim</a>
</li>
<li>VTP2STL()
: <a class="el" href="namespaceosim2urdf__parser.html#a0be355dde18c1660f40705263e2d56a5">osim2urdf_parser</a>
</li>
<li>vtp_path
: <a class="el" href="namespaceosim2urdf__parser.html#a0a1ad1e94acfcc8c3b00d794d52d7e75">osim2urdf_parser</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
